---
title: RTCRtpParameters
slug: Web/API/RTCRtpParameters
tags:
  - API
  - Configuration
  - Dictionary
  - Media
  - Negoatiation
  - Options
  - RTCRtpParameters
  - RTP
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - parameters
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The <code><strong>RTCRtpParameters</strong></code> dictionary is the basic object describing the parameters of an {{Glossary("RTP")}} transport. It is extended separately for senders and receivers in the form of the {{domxref("RTCRtpSendParameters")}} and {{domxref("RTCRtpReceiveParameters")}} dictionaries.</p>

<p>To obtain the parameters of a sender or receiver, call its <code>getParameters()</code> method:</p>

<ul>
 <li>{{domxref("RTCRtpSender.getParameters", "getParameters()")}}</li>
 <li>{{domxref("RTCRtpReceiver.getParameters", "getParameters()")}}</li>
</ul>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("RTCRtpParameters.codecs", "codecs")}}</dt>
 <dd>An array of {{domxref("RTCRtpCodecParameters")}} objects describing the set of codecs from which the sender or receiver will choose. This parameter cannot be changed once initially set.</dd>
 <dt>{{domxref("RTCRtpParameters.headerExtensions", "headerExtensions")}}</dt>
 <dd>An array of zero or more RTP header extensions, each identifying an extension supported by the sender or receiver. Header extensions are described in {{RFC(3550, "5.3.1")}}. This parameter cannot be changed once initially set.</dd>
 <dt>{{domxref("RTCRtpParameters.rtcp", "rtcp")}}</dt>
 <dd>An {{domxref("RTCRtcpParameters")}} object providing the configuration parameters used for {{Glossary("RTCP")}} on the sender or receiver. This parameter cannot be changed once initially set.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example obtains the canonical name (CNAME) being used for {{Glossary("RTCP")}} on an {{domxref("RTCRtpSender")}} or {{domxref("RTCRtpReceiver")}}.</p>

<pre class="brush: js notranslate">function getRtpCNAME(rtpObject) {
  let parameters = rtpObject.getParameters();

  return parameters.rtcp.cname;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpreceiveparameters','RTCRtpReceiveParameters')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpReceiveParameters")}}</p>
